<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

<div class="page-main">
	<?php if ($this->have()): ?>
	<?php $totalpages=ceil($this->getTotal() / $this->parameter->pageSize); ?>
	
	<?php if(($this->category == 'themes')):?>
	
	
	<?php if($this->_currentPage == 1){ //第一页输出顶部推荐主题 ?>	
	<div class="grid">
	<?php $this->widget('Widget_Archive@indextop', 'pageSize=2&type=tag', 'slug=hot')->to($indextop); ?>
	<?php while($indextop->next()): ?> 	
		<div class="grid-col grid-col-2">
			<div class="theme-card">
				<a href="<?php $indextop->permalink(); ?>"><div class="theme-card-image" style="background-image: url(<?php if ($indextop->fields->cover !=""): ?><?php $indextop->fields->cover(); ?><?php else: ?><?php showThumbnail($indextop); ?><?php endif; ?>)"></div> </a>
				<h2 class="theme-card-title"><a class="theme-card-link" href="<?php $indextop->permalink(); ?>" target="_blank"><?php $indextop->title() ?></a> </h2>
				<div class="is_top"></div>
			</div>
		</div>
	<?php endwhile; ?>
	</div>		
	
	<div class="grid">
		<div class="grid-col">
			<h2 class="heading">
				<span class="heading-title">最新TYPECHO模板</span>
			</h2>
		</div>
	</div>	
	<?php } ?>
	
	<div class="grid">
		<?php while($this->next()): ?>
		<div class="grid-col grid-col-2 grid-col-3">
			<div class="theme-card">
				<a href="<?php $this->permalink(); ?>">
					<div class="theme-card-image" style="background-image: url(<?php if ($this->fields->cover !=""): ?><?php $this->fields->cover(); ?><?php else: ?><?php showThumbnail($this); ?><?php endif; ?>)"> </div>
				</a>
				<h2 class="theme-card-title"> <a class="theme-card-link" href="<?php $this->permalink(); ?>"><?php $this->title(); ?></a> </h2>
			</div>
		</div>
		<?php endwhile; ?>
	</div>
		
	<?php elseif(($this->category == 'plugins')) : ?>
		
	<div class="grid plugins">
		<?php while($this->next()): ?>			
			<div class="grid-col grid-col-2">
				<a href="<?php $this->permalink(); ?>">
					<div class="plugin-item">
						<i class="fa czs-product-l"></i>
						<div class="plugin-info">
							<h2><?php $this->title(); ?></h2>
							<p class="plugin-meta"><span class="date fl">更新日期：<?php echo date('Y-m-d', $this->modified);?></span><span class="view fr"><?php get_post_view($this);?> 人关注</span></p>
						</div>
					</div>
				</a>
			</div>
		<?php endwhile; ?>		
	</div>	
	
	
	
	<?php else : ?>
		
	<div class="grid plugins">
		<?php while($this->next()): ?>			
			<div class="grid-col">
				<a href="<?php $this->permalink(); ?>">
					<div class="plugin-item">
						<div class="plugin-info">
							<h2><?php $this->title(); ?></h2>
							<p class="excerpt"><?php $this->excerpt(210, '...'); ?></p>
							<p class="plugin-meta"><span class="date fl">更新日期：<?php echo date('Y-m-d', $this->modified);?></span><span class="view fr"><?php get_post_view($this);?> 人关注</span></p>
						</div>
					</div>
				</a>
			</div>
		<?php endwhile; ?>		
	</div>	
		
	<?php endif; ?>
	
	<div class="pager">
		<div class="box">
			<?php $this->pageLink('<span><i class="fas czs-angle-left-l"></i></span>','prev');?>
			<div class="nav_pagenum"><span><?php if($this->_currentPage>1) echo $this->_currentPage;  else echo 1;?> / <?php echo ceil($this->getTotal() / $this->parameter->pageSize); ?></span></div>
			<?php $this->pageLink('<span><i class="fas czs-angle-right-l"></i></span>','next');?>
		</div>
	</div>	
	
	<?php else: ?><!--如果不包括文章-->
		<div class="grid"><div class="none">没有找到相关内容</div></div>
    <?php endif; ?>
	
		
	
</div>


<?php $this->need('footer.php'); ?>
