<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<!DOCTYPE HTML>
<html class="no-js">
<head>
    <meta charset="<?php $this->options->charset(); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <title><?php if($this->is('index')){ ?>
				<?php $this->options->title(); ?> - 这是一个演示站
			<?php if($this->_currentPage>1) echo ' 第 '.$this->_currentPage.' 页 '; ?>
			<?php }  else if($this->is('category')) { ?>
				<?php $this->archiveTitle(' &lt; ','',''); ?> - <?php $this->options->title(); ?>
			<?php } else if($this->is('tag')) { ?>
				标签: <?php $this->archiveTitle(' &lt; ','',''); ?> - <?php $this->options->title(); ?>
			<?php } else if($this->is('archive'))  { ?>
				关键词: <?php $this->archiveTitle(' &lt; ','',''); ?> - <?php $this->options->title(); ?>
			<?php } else if($this->is('attachment')) {?>
				附件: <?php $this->archiveTitle(' &lt; ','',''); ?> - <?php $this->options->title(); ?>
			<?php } else  { ?>
				<?php $this->archiveTitle('', '', ''); ?> - <?php $this->options->title(); ?>
			<?php } ?></title>
	
	<meta name="keywords" content="<?php $this->options->keywords(); ?>">
	<meta name="description" content="<?php if($this->is('index')) { $this->options->description();}elseif($this->is('category')){ echo $this->getDescription();}elseif($this->is('single')){$this->excerpt(200, '');} ?>">
	<link rel="icon" href="<?php $this->options->themeUrl(); ?>favicon.ico" type="image/x-icon">

    <!-- 使用url函数转换相关路径 -->
  <!-- Styles --> 
  <link href="<?php $this->options->themeUrl('asset/css/main.css'); ?>" rel="stylesheet" /> 
  <?php $this->header('description=&keywords=&generator=&template=&pingback=&xmlrpc=&wlw=&rss1=&rss2=&atom='); ?>
</head>
<body>

  <div class="page-wrapper">
  <div class="header">
	<h1 class="site-title"><a href="<?php $this->options->siteUrl(); ?>"><?php $this->options->title() ?></a></h1>
		
	<form method="post" action="<?php $this->options->siteUrl(); ?>"> 
		<div class="input-icon"> 
			<input type="text" name="s" value="" class="form-control" placeholder="善用搜索，事半功倍" autocomplete="off" /> 
			<button type="submit" class="btn-icon"><i class="czs-search-l"></i></button> 
		</div> 
	</form>
	
	<div class="store-type">
		<a class="store-btn" href="<?php $this->options->siteUrl(); ?>category/themes/">浏览主题列表</a>
		<a class="store-btn" href="<?php $this->options->siteUrl(); ?>category/plugins/">浏览插件列表</a>
	</div>
  </div>    
