<?php
/**
 * TypechoWiki 是一款基于Typecho平台的简约维基主题，主要提供Typecho主题开发教程，插件开发教程，主题下载，插件下载功能。
 * 
 * @package TypechoWiki Theme 
 * @author Roogle
 * @version 2018-05-15
 * @link https://www.moidea.info
 */

if (!defined('__TYPECHO_ROOT_DIR__')) exit;
 $this->need('header.php');
 ?>
 
<div class="page-main">
	<div class="grid">
	<?php $this->widget('Widget_Archive@indextop', 'pageSize=2&type=tag', 'slug=hot')->to($indextop); ?>
	<?php while($indextop->next()): ?> 	
		<div class="grid-col grid-col-2">
			<div class="theme-card">
				<a href="<?php $indextop->permalink(); ?>"><div class="theme-card-image" style="background-image: url(<?php if ($indextop->fields->cover !=""): ?><?php $indextop->fields->cover(); ?><?php else: ?><?php showThumbnail($indextop); ?><?php endif; ?>)"></div> </a>
				<h2 class="theme-card-title"><a class="theme-card-link" href="<?php $indextop->permalink(); ?>" target="_blank"><?php $indextop->title() ?></a> </h2>
				<div class="is_top"></div>
			</div>
		</div>
	<?php endwhile; ?>	
	</div>
		
	
	<div class="grid">
		<div class="grid-col">
			<h2 class="heading">
				<span class="heading-title">最新TYPECHO模板</span>
			</h2>
		</div>
	</div>
	
	<div class="grid">
		<?php $this->widget('Widget_Archive@themes', 'pageSize=15&type=category', 'mid=3')->to($themes); ?>
		<?php while($themes->next()): ?>			
		<div class="grid-col grid-col-2 grid-col-3">
			<div class="theme-card">
				<a href="<?php $themes->permalink(); ?>">
					<div class="theme-card-image" style="background-image: url(<?php if ($themes->fields->cover !=""): ?><?php $themes->fields->cover(); ?><?php else: ?><?php showThumbnail($themes); ?><?php endif; ?>)"> </div>
				</a>
				<h2 class="theme-card-title"> <a class="theme-card-link" href="<?php $themes->permalink(); ?>"><?php $themes->title(); ?></a> </h2>
			</div>
		</div>
		<?php endwhile; ?>
	</div> 
	
	<div class="text-center"><a class="btn" href="<?php $this->options->siteUrl(); ?>category/themes/">更多主题</a></div>
	
	<div class="grid">
		<div class="grid-col">
			<h2 class="heading">
				<span class="heading-title">最新TYPECHO插件</span>
			</h2>
		</div>
	</div>
	
	<div class="grid plugins">
		<?php $this->widget('Widget_Archive@plugins', 'pageSize=16&type=category', 'mid=2')->to($plugins); ?>
		<?php while($plugins->next()): ?>			
			<div class="grid-col grid-col-2">
				<a href="<?php $plugins->permalink(); ?>">
					<div class="plugin-item">
						<i class="fa czs-product-l"></i>
						<div class="plugin-info">
							<h2><?php $plugins->title(); ?></h2>
							<p class="plugin-meta"><span class="date fl">更新日期：<?php echo date('Y-m-d', $plugins->modified);?></span><span class="view fr"><?php get_post_view($plugins);?> 人关注</span></p>
						</div>
					</div>
				</a>
			</div>
		<?php endwhile; ?>		
	</div>
	
	
	<div class="text-center"><a class="btn" href="<?php $this->options->siteUrl(); ?>category/plugins/">更多插件</a></div>	
</div>

<?php $this->need('footer.php'); ?>
