<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

<div class="post">
	<div class="doc">
		<div class="doc_header">
            <h1><?php $this->title() ?></h1>
			<div class="meta">更新日期：<?php echo date('Y-m-d', $this->modified);?>/ 人气指数：<?php get_post_view($this);?> </div>
        </div>

        <div class="doc_content">
		<?php $this->content(); ?>
		</div>

		<?php if ($this->fields->downurl !=""): ?>
		<div class="download" id="download">
			<div class="down-title">下载地址</div>
				<div class="down-detail">
					<p class="down-uptime"><i class="fa czs-time-l"></i>&nbsp;&nbsp;更新时间：<span><?php $this->date('Y年m月d日'); ?></span></p>
					
					<?php if ($this->fields->author !=""): ?><p class="down-notice"><i class="fa czs-user-l"></i>&nbsp;&nbsp;软件作者：<span><i class="fa fa-map-signs fa-fw"></i><?php $this->fields->author(); ?></span></p><?php endif; ?>
					
					<?php if ($this->fields->downurl !=""): ?><p class="down-magnet"><i class="fa czs-clip-l"></i>&nbsp;&nbsp;下载链接：<span id="magnetdl">
						<a href="<?php $this->fields->downurl(); ?>" target="_blank">链接</a>
					</span></p>
					<?php endif; ?>				
				</div>
			<div class="clear"></div>		
		</div>
		<?php endif; ?>
		
        <div class="doc_comments"><?php $this->need('comments.php'); ?></div>

    </div>
	<?php $this->need('sidebar.php'); ?>
</div>

<?php $this->need('footer.php'); ?>
