<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

<div class="page-main">
	<?php if ($this->have()): ?>
	<?php $totalpages=ceil($this->getTotal() / $this->parameter->pageSize); ?>	
		
	<div class="grid plugins">
		<?php while($this->next()): ?>			
			<div class="grid-col">
				<a href="<?php $this->permalink(); ?>">
					<div class="plugin-item">
						<div class="plugin-info">
							<h2><?php $this->title(); ?></h2>
							<p class="excerpt"><?php $this->excerpt(210, '...'); ?></p>
							<p class="plugin-meta"><span class="date fl">更新日期：<?php echo date('Y-m-d', $this->modified);?></span><span class="view fr"><?php get_post_view($this);?> 人关注</span></p>
						</div>
					</div>
				</a>
			</div>
		<?php endwhile; ?>		
	</div>
	
	<div class="pager">
		<div class="box">
			<?php $this->pageLink('<span><i class="fas czs-angle-left-l"></i></span>','prev');?>
			<div class="nav_pagenum"><span><?php if($this->_currentPage>1) echo $this->_currentPage;  else echo 1;?> / <?php echo ceil($this->getTotal() / $this->parameter->pageSize); ?></span></div>
			<?php $this->pageLink('<span><i class="fas czs-angle-right-l"></i></span>','next');?>
		</div>
	</div>	
	
	<?php else: ?><!--如果不包括文章-->
		<div class="grid"><div class="none">没有找到相关内容</div></div>
    <?php endif; ?>	
</div>


<?php $this->need('footer.php'); ?>
