<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;






function themeFields($layout) {
	
	$cover = new Typecho_Widget_Helper_Form_Element_Text('cover', NULL, NULL, _t('主题图片'), _t(''));
	$cover->input->setAttribute('style', 'min-width:450px;height:auto;');
    $layout->addItem($cover);
	
	$author = new Typecho_Widget_Helper_Form_Element_Text('author', NULL, NULL, _t('主题/插件作者'), _t('主题/插件作者名称'));
	$author->input->setAttribute('style', 'min-width:450px;height:auto;');
    $layout->addItem($author);
	
	$demo = new Typecho_Widget_Helper_Form_Element_Text('demo', NULL, NULL, _t('主题演示地址'), _t(''));
	$demo->input->setAttribute('style', 'min-width:450px;height:auto;');
    $layout->addItem($demo);
	
	$downurl = new Typecho_Widget_Helper_Form_Element_Text('downurl', NULL, NULL, _t('主题/插件下载'), _t('主题/插件下载地址'));
	$downurl->input->setAttribute('style', 'min-width:450px;height:auto;');
    $layout->addItem($downurl);
}

// 分类文章数量控制 
function themeInit($archive) { 
    if ($archive->is('index')) { 
        $archive->parameter->pageSize = 16; // 自定义条数 
    } else if ($archive->is('category', 'themes')) {
		$archive->parameter->pageSize = 15; // 自定义条数
	} else if ($archive->is('category', 'plugins')) {
		$archive->parameter->pageSize = 16; // 自定义条数
	} else if ($archive->is('category', 'default')) {
		$archive->parameter->pageSize = 16; // 自定义条数
	} else {
		$archive->parameter->pageSize = 16; // 自定义条数
	}
}

/** 输出文章缩略图 */ 
function showThumbnail($widget){ 
    // 当文章无图片时的默认缩略图
    //$rand = rand(1,5); // 随机 1-5 张缩略图
    //$random = $widget->widget('Widget_Options')->themeUrl . '/img/sj/' . $rand . '.jpg'; // 随机缩略图路径
    $random = $widget->widget('Widget_Options')->themeUrl . '/img/nopic.gif'; // 若只想要一张默认缩略图请删除本行开头的"//"
	
	$content = $widget->text;
    $pattern = '/\<img.*?src\=\"(.*?)\"[^>]*>/i'; 

	if (preg_match_all($pattern, $widget->content, $thumbUrl)) {
        echo $thumbUrl[1][0];
    } else {
		echo $random;
    }
}

/*文章阅读次数统计*/
function get_post_view($archive) {
    $cid = $archive->cid;
    $db = Typecho_Db::get();
    $prefix = $db->getPrefix();
    if (!array_key_exists('views', $db->fetchRow($db->select()->from('table.contents')))) {
        $db->query('ALTER TABLE `' . $prefix . 'contents` ADD `views` INT(10) DEFAULT 0;');
        echo 0;
        return;
    }
    $row = $db->fetchRow($db->select('views')->from('table.contents')->where('cid = ?', $cid));
    if ($archive->is('single')) {
        $views = Typecho_Cookie::get('extend_contents_views');
        if (empty($views)) {
            $views = array();
        } else {
            $views = explode(',', $views);
        }
        if (!in_array($cid, $views)) {
            $db->query($db->update('table.contents')->rows(array('views' => (int)$row['views'] + 1))->where('cid = ?', $cid));
            array_push($views, $cid);
            $views = implode(',', $views);
            Typecho_Cookie::set('extend_contents_views', $views); //记录查看cookie
            
        }
    }
    echo $row['views'];
}